Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.management
Class JMSProducerStatsImpl

    java.lang.Object
      org.codehaus.activemq.management.StatsImpl
          org.codehaus.activemq.management.JMSEndpointStatsImpl
              org.codehaus.activemq.management.JMSProducerStatsImpl

All Implemented Interfaces:
  JMSEndpointStats, JMSProducerStats, Resettable, Stats

public class JMSProducerStatsImpl
extends JMSEndpointStatsImpl
implements JMSProducerStats

Statistics for a JMS producer

Version:
  $Revision: 1.7 $

Field Summary

Fields inherited from class org.codehaus.activemq.management.JMSEndpointStatsImpl
`expiredMessageCount, messageCount, messageRateTime, messageWaitTime, pendingMessageCount`

Constructor Summary
`JMSProducerStatsImpl(CountStatisticImpl messageCount, CountStatisticImpl pendingMessageCount, CountStatisticImpl expiredMessageCount, TimeStatisticImpl messageWaitTime, TimeStatisticImpl messageRateTime, String destination)`
`JMSProducerStatsImpl(JMSSessionStatsImpl sessionStats, Destination destination)`

Method Summary
`void` | `dump(IndentPrinter out)`
`String` | `getDestination()`
`String` | `toString()`

Methods inherited from class org.codehaus.activemq.management.JMSEndpointStatsImpl
`getExpiredMessageCount, getMessageCount, getMessageWaitTime, getPendingMessageCount, onMessage, setParent, setParent`

Methods inherited from class org.codehaus.activemq.management.StatsImpl
`addStatistic, getStatistic, getStatisticNames, getStatistics, reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.management.j2ee.statistics.JMSEndpointStats
`getExpiredMessageCount, getMessageCount, getMessageWaitTime, getPendingMessageCount`

Methods inherited from interface javax.management.j2ee.statistics.Stats
`getStatistic, getStatisticNames, getStatistics`

Constructor Detail

### JMSProducerStatsImpl

    public JMSProducerStatsImpl(JMSSessionStatsImpl sessionStats,
                                Destination destination)

### JMSProducerStatsImpl

    public JMSProducerStatsImpl(CountStatisticImpl messageCount,
                                CountStatisticImpl pendingMessageCount,
                                CountStatisticImpl expiredMessageCount,
                                TimeStatisticImpl messageWaitTime,
                                TimeStatisticImpl messageRateTime,
                                String destination)

Method Detail

### getDestination

    public String getDestination()

  Specified by:
    `getDestination` in interface `JMSProducerStats`

### toString

    public String toString()

  Overrides:
    `toString` in class `JMSEndpointStatsImpl`

### dump

    public void dump(IndentPrinter out)

  Overrides:
    `dump` in class `JMSEndpointStatsImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.